<?php

namespace App\Http\Middleware;

use Closure;

class CheckAccessTokenIsSet
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
        if ($request->header('Authorization')) {
            $request['AccessToken'] = $request->bearerToken();
            return $next($request);
        }
        return sendError("User Authorization Token failed");

    }
}
